View Issue Details

IDProjectCategoryView StatusLast Update
0000917FreeCADBugpublic2012-12-21 12:52
ReporterwmayerAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.13Fixed in Version0.13 
Summary0000917: Task watcher doesn't update on object creation/destruction
Descriptionhttp://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=3327
TagsNo tags attached.

Activities

Jriegel

2012-12-19 16:14

administrator   ~0002671

It updates on selection change, why should it update on delete?

wmayer

2012-12-19 17:53

administrator   ~0002672

Check the link. If you create a document in Part design you get a list of commands such as one to create a sketch. If you undo it the list remains empty.

Jriegel

2012-12-20 11:29

administrator   ~0002676

Ah, I see. Seams the undo doesen't trigger the selection observer even if the
object removed is selected.

Jriegel

2012-12-20 17:17

administrator   ~0002680

commit: f9da20f097ccebed845c9f487db2303a0764f2d1

Selection get updated before document is empty, there fore empty document
watcher is not working.
I inserted a empty selection watcher for that commands.

Anyway, PartDesign Watcher get reworked for the Assembly branch...

wmayer

2012-12-21 10:58

administrator   ~0002743

This commit doesn't make a big difference. I think it's not a question of how the watcher works but rather that it is NOT triggered for undo/redo.

My initial thought was to connect it to the create/delete object signals but this might be a bit overkill.

wmayer

2012-12-21 12:52

administrator   ~0002744

git show b52f67f

Issue History

Date Modified Username Field Change
2012-12-17 18:11 wmayer New Issue
2012-12-17 18:12 wmayer Target Version => 0.14
2012-12-19 16:14 Jriegel Note Added: 0002671
2012-12-19 17:53 wmayer Note Added: 0002672
2012-12-20 11:28 Jriegel Status new => assigned
2012-12-20 11:28 Jriegel Assigned To => Jriegel
2012-12-20 11:29 Jriegel Note Added: 0002676
2012-12-20 11:29 Jriegel Status assigned => confirmed
2012-12-20 15:31 Jriegel Target Version 0.14 => 0.13
2012-12-20 17:17 Jriegel Note Added: 0002680
2012-12-20 17:17 Jriegel Status confirmed => resolved
2012-12-20 17:17 Jriegel Fixed in Version => 0.13
2012-12-20 17:17 Jriegel Resolution open => fixed
2012-12-21 10:58 wmayer Note Added: 0002743
2012-12-21 12:52 wmayer Note Added: 0002744
2012-12-21 12:52 wmayer Status resolved => closed